package com.ruoyi.web.work.api;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.web.work.api.config.BaseController;

import com.ruoyi.web.work.domain.Obx;
import com.ruoyi.web.work.service.IObxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Api(tags = "小程序检测项目管理")
@RestController
@RequestMapping("/app/obx")
public class Api_ObxController extends BaseController {

    @Autowired
    private IObxService obxService;

    @ApiOperation(value = "根据就诊卡号获取检测项目列表")
    @GetMapping("/examine/{card}")
    public TableDataInfo getObxByCard(@PathVariable("card") String card) {
        startPage();
        List<Obx> obxList=obxService.getObxByCard(card);
        return getDataTable(obxList);
    }



}
