package com.ruoyi.web.work.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-19
 */
@Data
@TableName(value = "tb_dg")
@Accessors(chain = true)
public class Dg{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "患者ID")
    private String patientId;

    @ApiModelProperty(value = "诊断代码")
    private String diagnosticCode;

    @ApiModelProperty(value = "诊断时间")
    private String diagnosisTime;

    @ApiModelProperty(value = "诊断类型代码： 0-主要诊断 1-第一辅诊 2-第二辅诊")
    private String diagnosticType;

    @ApiModelProperty(value = "诊断类别代码： 0-门诊诊断 1-入院诊断 2-出院诊断 3-中医入院诊断 4-中医出院诊断 5-修正诊断 6-最终诊断 7-初步诊断 8 目前诊断 9-术前诊断 10-术后诊断 11-产后诊断 99-其他诊断")
    private String diagnosticCategoryCode;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
