package com.ruoyi.web.work.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-23
 */
@Data
@TableName(value = "tb_pv1")
@Accessors(chain = true)
public class Pv1{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "患者ID")
    private Long patientId;

    @ApiModelProperty(value = "就诊卡号")
    private Long cardId;

    @ApiModelProperty(value = "患者类别")
    private String patientCategory;

    @ApiModelProperty(value = "患者位置")
    private String bed;

    @ApiModelProperty(value = "科室")
    private String department;

    @ApiModelProperty(value = "主治医师代码")
    private String doctorCode;

    @ApiModelProperty(value = "主治医师")
    private String physician;

    @ApiModelProperty(value = "主管护士代码")
    private String nurseCode;

    @ApiModelProperty(value = "入院次数")
    private String hospitalizedNumber;

    @ApiModelProperty(value = "收费类别")
    private String feeCategory;

    @ApiModelProperty(value = "出院方式 1-治愈 2-好转 3 -稳定 4-恶化 5-死亡 9 -其他")
    private String dischargeMethod;

    @ApiModelProperty(value = "医疗机构代码")
    private String medicalCode;

    @ApiModelProperty(value = " 在院状态 0 入院登记 1 病区分床 2 病人出区 3 病人出院 4 取消结算 5 进入 ICU 6 进入产房 7 转科状态 8 数据转出 9 入院作")
    private String hospitalStatus;

    @ApiModelProperty(value = "门诊挂号状态： 0-有效 1-无效")
    private String registrationStatus;

    @ApiModelProperty(value = "入院时间")
    private String admissionTime;

    @ApiModelProperty(value = "出院时间")
    private String dischargeTime;

    @ApiModelProperty(value = "危重级别:0-一般病人1-危重病人")
    private String level;

    @ApiModelProperty(value = "出区原因")
    private String reasonArea;

    @ApiModelProperty(value = "婴儿信息标识：Y-是 N-否")
    private String babyCode;

    @ApiModelProperty(value = "入区时间")
    private String entryTime;

    @ApiModelProperty(value = "出区时间")
    private String exitTime;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "患者信息ID")
    private Long msgId;

    @ApiModelProperty(value = "病区代码")
    private String wardCode;

    @ApiModelProperty(value = "病区代名称")
    private String wardName;


}
